<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

	<ItemGroup>
		<PackageReference Include="MediatR" Version="12.2.0" />
		<PackageReference Include="FluentValidation" Version="11.9.0" />
		<PackageReference Include="Microsoft.AspNetCore" Version="2.2.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.2" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.2">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.2">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Pluralize.NET" Version="1.0.2" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.2" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.2" />
		<PackageReference Include="StackExchange.Redis" Version="2.7.17" />
		<PackageReference Include="StackExchange.Redis.Extensions.Core" Version="10.2.0" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Models\" />
	  <Folder Include="Extensions\" />
	  <Folder Include="Services\Contracts\" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\Brizco.Domain\Brizco.Domain.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Using Include=" Brizco.Repository.Repositories.Base.Contracts" />
	  <Using Include="Brizco.Common.Models.Api" />
	  <Using Include="Brizco.Common.Models.Exception" />
	  <Using Include="Brizco.Domain.CommandQueries.Commands" />
	  <Using Include="Brizco.Domain.CommandQueries.Queries" />
	  <Using Include="Brizco.Domain.Dtos.LargDtos" />
	  <Using Include="Brizco.Domain.Dtos.ResponseDto" />
	  <Using Include="Brizco.Domain.Dtos.SmallDtos" />
	  <Using Include="Brizco.Domain.Entities.Complex" />
	  <Using Include="Brizco.Repository.Abstracts" />
	  <Using Include="MediatR" />
	  <Using Include="Brizco.Common.Extensions" />
	  <Using Include="Brizco.Common.Models" />
	  <Using Include="Brizco.Common.Models.Claims" />
	  <Using Include="Brizco.Common.Models.Entity" />
	  <Using Include="Brizco.Domain.Entities" />
	  <Using Include="Brizco.Domain.Enums" />
	  <Using Include="Brizco.Domain.Models.Settings" />
	  <Using Include="Brizco.Repository.Models" />
	  <Using Include="Brizco.Repository.Services.Contracts" />
	  <Using Include="Microsoft.AspNetCore.Identity" />
	  <Using Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
	  <Using Include="Microsoft.EntityFrameworkCore" />
	  <Using Include="Microsoft.EntityFrameworkCore.ChangeTracking" />
	  <Using Include="Microsoft.EntityFrameworkCore.Infrastructure" />
	  <Using Include="Microsoft.Extensions.DependencyInjection" />
	  <Using Include="Microsoft.Extensions.Logging" />
	  <Using Include="Microsoft.Extensions.Options" />
	  <Using Include="Pluralize.NET" />
	  <Using Include="StackExchange.Redis" />
	  <Using Include="System.Diagnostics" />
	  <Using Include="System.Reflection" />
	  <Using Include="Brizco.Domain.Mappers" />
	</ItemGroup>
</Project>
